<?php
/**
 * Partial template to display search icon.
 *
 * @package PureNote
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

$purenote_header_search_enable = purenote_get_customizer_option_value( 'purenote_header_search_enable' );
if ( false === $purenote_header_search_enable ) {
    return;
}

/**
 * hook: purenote_before_header_search
 *
 * @since 1.0.0
 */
do_action( 'purenote_before_header_search' );
?>

<div class="header-search-wrapper purenote-icon-elements">
    <span class="search-icon"><a href="javascript:void(0)"><i class="fas fa-search"></i></a></span>
    <div class="search-form-wrap">
        <?php get_search_form(); ?>
    </div><!-- .search-form-wrap -->
</div><!-- .header-search-wrapper -->

<?php
/**
 * hook: purenote_after_header_search
 *
 * @since 1.0.0
 */
do_action( 'purenote_after_header_search' );